import request from '@/utils/request'

// 查询职业分类列表
export function listCareerClass(query) {
  return request({
    url: '/hezhi/careerClass/list',
    method: 'get',
    params: query
  })
}

// 查询职业分类详细
export function getCareerClass(careerId) {
  return request({
    url: '/hezhi/careerClass/' + careerId,
    method: 'get'
  })
}

// 新增职业分类
export function addCareerClass(data) {
  return request({
    url: '/hezhi/careerClass',
    method: 'post',
    data: data
  })
}

// 修改职业分类
export function updateCareerClass(data) {
  return request({
    url: '/hezhi/careerClass',
    method: 'put',
    data: data
  })
}

// 删除职业分类
export function delCareerClass(careerId) {
  return request({
    url: '/hezhi/careerClass/' + careerId,
    method: 'delete'
  })
}
